html,
body {
    height: 100%;
}

body {
    margin: 0;
    background: #3498db;
    background: linear-gradient(to bottom, #3498db 0%, #8e44ad 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#3498db", endColorstr="#8e44ad", GradientType=0);
    background-size: cover;
    background-position: center;
}

html#error body {
    background: #ecf0f1;
}

html {
    color: #000;
    font: 16px Helvetica, Arial, sans-serif;
    line-height: 1.3;
}

.body--block {
    margin: 20px
}

.body--flex {
    margin: 0;
    display: flex;
    flex-direction: column;
}

.user-select-none {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.force-select {
    -webkit-user-select: all;
    /* Chrome 49+ */
    -moz-user-select: all;
    /* Firefox 43+ */
    -ms-user-select: all;
    /* No support yet */
    user-select: all;
    /* Likely future */
}

main {
    width: 100%;
    height: 100%;
    padding: 0;
    margin: 0;
    border: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow-y: auto;
    flex: 1;
}

@media (min-width: 768px) {
    main {
        padding: 20px
    }
}

main>div {
    width: 630px;
}

.main--stack {
    width: 100%;
    max-width: 900px
}

* {
    -ms-box-sizing: border-box;
    box-sizing: border-box;
    outline: 0;
}

a {
    color: #3498db;
    outline: 0;
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
}

p,
ul>li {
    line-height: 140%;
}

.soft-hidden {
    display: none;
}

.p {
    margin-top: 20px;
    margin-bottom: 20px;
}

.highlight,
.alert,
.log {
    font-size: 0.9em;
    padding: 1em;
}

.highlight:empty,
.alert:empty {
    display: none;
}

.highlight {
    background: rgba(255, 255, 255, .5);
    -webkit-border-start: 4px solid #8e44ad;
    border-inline-start: 4px solid #8e44ad;
}

.alert {
    position: relative;
    background: rgba(241, 196, 15, .3);
    -webkit-border-start: 4px solid #f1c40f;
    border-inline-start: 4px solid #f1c40f;
    -webkit-padding-end: 2em;
    padding-inline-end: 2em;
}

.alert pre {
    overflow: auto;
}

.alert pre,
.alert code {
    background: rgba(241, 196, 15, .3);
}

.alert pre code {
    background: transparent;
}

.shake {
    -webkit-animation: shake 0.5s cubic-bezier(.36, .07, .19, .97) both;
    animation: shake 0.5s cubic-bezier(.36, .07, .19, .97) both;
    transform: translate3d(0, 0, 0);
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    perspective: 1000px;
}

.alert-close {
    cursor: pointer;
    position: absolute;
    inset-inline-end: 1em;
    top: 1em;
    width: 1em;
    height: 1em;
    opacity: 0.3;
}

.alert-close:hover {
    opacity: 1;
}

.alert-close:before,
.alert-close:after {
    position: absolute;
    inset-inline-start: 7.5px;
    content: ' ';
    height: 16px;
    width: 2px;
    background-color: #333;
}

.alert-close:before {
    transform: rotate(45deg);
}

.alert-close:after {
    transform: rotate(-45deg);
}

input, select, button, .button {
    font-family: Helvetica, Arial, sans-serif;
    padding: 10px;
    color: #000;
}

input {
    border: 1px solid rgba(0, 0, 0, .1);
    background: transparent;
    border-top-color: transparent;
    border-left-color: transparent;
    border-right-color: transparent;
    -webkit-padding-start: 0;
    padding-inline-start: 0;
    transition: border-width 1s linear;
}

input:focus,
select:focus {
    border-bottom-color: #3498db;
}

/* Go home Chrome, you are drunk */
input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus input:-webkit-autofill,
textarea:-webkit-autofill,
textarea:-webkit-autofill:hover textarea:-webkit-autofill:focus,
select:-webkit-autofill,
select:-webkit-autofill:hover,
select:-webkit-autofill:focus {
    -webkit-text-fill-color: inherit;
    -webkit-box-shadow: 0 0 0px 1000px transparent inset;
    -webkit-transition: background-color 5000s ease-in-out 0s;
    transition: background-color 5000s ease-in-out 0s;
}

button,
.button {
    display: inline-block;
    font-size: 0.83em;
    font-weight: bold;
    -webkit-padding-end: 15px;
    padding-inline-end: 15px;
    -webkit-padding-start: 15px;
    padding-inline-start: 15px;
    line-height: 0.83em;
    outline: 0;
    cursor: pointer;
    text-shadow: 1px 1px 0 rgba(255, 255, 255, .1);
    text-decoration: none;
    border: 0;
    background-color: rgba(0, 0, 0, .05);
    box-shadow: inset 0 2px 5px rgba(0, 0, 0, 0);
}

button:hover,
.button:hover {
    text-decoration: none;
}

button:active,
.button:active {
    box-shadow: inset 0 2px 5px rgba(0, 0, 0, .3);
}

button.action,
.button.action {
    text-shadow: 1px 1px 0 rgba(0, 0, 0, .05);
    color: #FFF;
    background: rgb(0, 110, 219);
}

button.action:hover,
.button.action:hover {
    background: rgb(0, 119, 237);
}

button[disabled],
input[disabled] {
    cursor: wait;
}

input[data-disabled] {
    cursor: not-allowed;
}

.input-label label {
    font-size: 0.9em;
    display: block;
    font-weight: bold;
}

h1 {
    line-height: 1em;
}

code {
    font-size: 0.9em;
    font-family: monospace;
    background: rgba(0, 0, 0, .1);
}

.pre {
    display: block;
    background-color: rgba(0, 0, 0, .1);
    overflow: auto;
    height: 180px;
    font-size: 0.9em;
    white-space: nowrap;
    width: 100%;
    resize: none;
    border: none;
    margin: 1em 0;
    -moz-tab-size: 4;
    -o-tab-size: 4;
    tab-size: 4;
}

@-webkit-keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.flex-box .loader {
    display: inline-block;
    border: .15em solid rgb(52 152 219 / 20%);
    border-top: .15em solid #3498db;
    border-radius: 50%;
    width: 1em;
    height: 1em;
    -webkit-animation: spin 2s linear infinite;
    animation: spin 2s linear infinite;
    z-index: 1;
    font-size: 32px;
    position: absolute;
    top: 20px;
    inset-inline-end: 20px;
    margin: 0;
    opacity: 0;
}

.flex-box form input {
    font-size: 0.83em;
}

.flex-box .loader--show,
body.body--installing .flex-box .loader {
    opacity: 1;
}

.animate {
    transition: all 200ms ease;
}

.animate--slow {
    transition-duration: 800ms;
}

.text-align-center {
    text-align: center;
}

.flex {
    display: flex;
}

.flex--full {
    min-height: 100%;
    overflow: hidden;
}

.screen {
    margin: auto;
    flex-wrap: wrap;
    flex-direction: row;
    justify-content: center;
    display: flex;
    visibility: visible;
}

.screen--error {
    opacity: 1;
    display: flex;
    transform: scale(1);
}

@-webkit-keyframes fadeInFromNone {
    0% {
        display: none;
        opacity: 0;
    }

    100% {
        opacity: 1;
        transform: scale(1);
    }
}

@keyframes fadeInFromNone {
    0% {
        display: none;
        opacity: 0;
    }

    100% {
        opacity: 1;
        transform: scale(1);
    }
}

.flex-item {
    flex: 1 0 100%;
    justify-content: center;
}

.flex-box {
    background: rgba(255, 255, 255, .8);
    -webkit-backdrop-filter: blur(10px);
    backdrop-filter: blur(10px);
    background-size: cover;
    background-position: center;
    border-radius: 10px;
    min-width: 270px;
    position: relative;
    margin: 20px;
    flex: 1 0 0;
}

.flex-box>div {
    margin: 20px;
}

.flex-box+.flex-box {
    margin-top: 0;
}

.log {
    background: rgba(255, 255, 255, .1);
    overflow: auto;
    max-height: 10em;
    margin: 0;
    padding: 0;
}

.log:empty {
    display: none;
}

.log p {
    margin: 0;
    padding: 5px;
}

.log p:nth-child(even) {
    background: rgba(255, 255, 255, .25);
}

.radius {
    border-radius: 3px;
}

.error-box {
    background: none;
    box-shadow: none;
}

.error-box a {
    font-weight: normal;
    text-decoration: none;
}

.error-box a:hover {
    -webkit-text-decoration-style: solid;
    text-decoration-style: solid;
    -webkit-text-decoration-color: #000;
    text-decoration-color: #000;
}

.error-box-code {
    opacity: .4;
    font-size: 0.9em;
    border-top: 1px solid rgba(0, 0, 0, .2);
    padding-top: 10px;
}

@media (min-width: 680px) {
    .col-8 {
        width: 310px;
    }

    .col-width {
        width: 630px;
    }

    .flex-box+.flex-box {
        margin-top: 20px;
        -webkit-margin-start: 0;
        margin-inline-start: 0;
    }
}

.width-100p {
    width: 100%;
}

.header svg,
.header img {
    height: 40px;
    width: auto;
    max-height: 100%;
    margin: 20px auto;
    display: block;
}

.header svg path,
.header img path {
    fill: #FFF;
}

.install-details {
    font-size: 0.9em;
    font-family: monospace;
}

.install-details pre {
    margin: 0;
    font-family: inherit;
}

@-webkit-keyframes shake {

    10%,
    90% {
        transform: translate3d(-1px, 0, 0);
    }

    20%,
    80% {
        transform: translate3d(2px, 0, 0);
    }

    30%,
    50%,
    70% {
        transform: translate3d(-4px, 0, 0);
    }

    40%,
    60% {
        transform: translate3d(4px, 0, 0);
    }
}

@keyframes shake {

    10%,
    90% {
        transform: translate3d(-1px, 0, 0);
    }

    20%,
    80% {
        transform: translate3d(2px, 0, 0);
    }

    30%,
    50%,
    70% {
        transform: translate3d(-4px, 0, 0);
    }

    40%,
    60% {
        transform: translate3d(4px, 0, 0);
    }
}

/** added **/

.display-block {
    display: block;
}

.input-warning {
    position: absolute;
    inset-inline-end: 0;
    top: 0;
    font-size: 80%;
}

.red-warning {
    color: #d74634;
}

.input-password input[type="password"] {
    -webkit-padding-end: 55px;
    padding-inline-end: 55px;
}

.input-password {
    position: relative;
}

.input-password .input-password-strength {
    position: absolute;
    inset-inline-end: 0;
    top: 50%;
    margin-top: 5px;
    z-index: -1;
}

.input-password-strength {
    background: rgba(0, 0, 0, .1);
}

.input-password-strength,
.input-password-strength span {
    display: block;
    width: 50px;
    height: 8px;
}

.input-password-strength span {
    width: 0%;
    background-color: transparent;
}

.input-password-strength *[data-veredict="very-weak"] {
    background-color: #e74c3c;
}

.input-password-strength *[data-veredict="weak"] {
    background-color: #e67e22;
}

.input-password-strength *[data-veredict="average"],
.input-password-strength *[data-veredict="strong"],
.input-password-strength *[data-veredict="stronger"] {
    background-color: #2ecc71;
}

.description-meta:empty {
    display: none;
}

a.label--version {
    color: inherit;
    text-decoration: none;
    font-size: .6em;
    border-radius: .2em;
    background-color: rgba(0, 0, 0, .1);
    padding: .3em 0.4em;
    display: block;
    font-weight: 400;
    line-height: normal;
    position: absolute;
    right: 20px;
    top: 20px;
}
